import CrudEl from "./CrudEl"

import { hooksName, useHooks } from './CrudEl/hooks'
import type { HooksConfig } from './CrudEl/hooks'

import { InitOptions } from './CrudEl/Methods'



const install = (app: any, options?: SystemParametersType) => {
    if (options) InitOptions(options)

    app.use(CrudEl)
}

export default install

export {
    CrudEl,
    hooksName,
    useHooks,
}

export type {
    HooksConfig
}